ACLOCAL_AMFLAGS = -I build/autotools

V         = @
Q         = $(V:1=)
QUIET_GEN = $(Q:@=@echo '  GEN   '$@;)

SUBDIRS = build data clutk doc tests vapi

clutk-0.3.pc: clutk.pc
	$(QUIET_GEN) cp -f clutk.pc clutk-0.3.pc

pkgconfigdir = $(libdir)/pkgconfig
pkgconfig_DATA = clutk-0.3.pc

# Test framework
.PHONY: check clutk
test clutk:
	$(MAKE) -C tests/ check

.PHONY: check-report full-report check-headless
check-report full-report check-headless:
	$(MAKE) -C tests/ $(@)

CLEANFILES = clutk-0.3.pc
DISTCLEANFILES = clutk.pc
EXTRA_DIST = \
  clutk.pc.in \
  COPYING.GPL \
  COPYING.LGPL-2.1 \
  autogen.sh \
  README.perf-tests \
  introspection.m4

DISTCHECK_CONFIGURE_FLAGS = --enable-gtk-doc --disable-introspection --enable-localinstall
